SymbolBox Class Reference

A modified QComboBox allowing to choose a QwtSmbol style. More...

`#include <SymbolBox.h>`

Inheritance diagram for SymbolBox:

## Signals

void | activated (SymbolBox *)
| Signal emitted when the box gains focus. More...

## Public Member Functions

QwtSymbol::Style | selectedSymbol () const
void | setStyle (const QwtSymbol::Style &c)
| SymbolBox (bool showNoSymbol=true, QWidget *parent=0)
| Constructor. More...

## Static Public Member Functions

static QList< int > | defaultSymbols ()
static QwtSymbol::Style | style (int index)
static int | symbolIndex (const QwtSymbol::Style &style)

## Protected Member Functions

void | focusInEvent (QFocusEvent *)
void | init (bool showNoSymbol)

## Static Private Attributes

static const QwtSymbol::Style | symbols []

## Detailed Description

A modified QComboBox allowing to choose a QwtSmbol style.

This is a simple hack on top of the QComboBox class.

## Constructor & Destructor Documentation

SymbolBox::SymbolBox | ( | bool | showNoSymbol = `true`,
|  | QWidget * | parent = `0`
| ) |  |

Constructor.

Parameters

  parent | parent widget (only affects placement of the widget)

References init().

## Member Function Documentation

void SymbolBox::activated | ( | SymbolBox * |  | ) |

signal

Signal emitted when the box gains focus.

Referenced by focusInEvent().

QList< int > SymbolBox::defaultSymbols | ( |  | ) |

static

Referenced by Graph::guessUniqueCurveLayout(), ConfigDialog::loadDefaultSymbols(), and ApplicationWindow::setDefaultOptions().

void SymbolBox::focusInEvent | ( | QFocusEvent * | e | ) |

protected

References activated().

void SymbolBox::init | ( | bool | showNoSymbol | ) |

protected

Referenced by SymbolBox().

QwtSymbol::Style SymbolBox::selectedSymbol | ( |  | ) | const

References symbols.

Referenced by PlotDialog::applyPercentileFormatToCurve(), PlotDialog::applySymbolsFormatToCurve(), and PlotDialog::changePlotType().

void SymbolBox::setStyle | ( | const QwtSymbol::Style & | c | ) |

References symbols.

Referenced by PlotDialog::changePlotType(), and PlotDialog::setActiveCurve().

QwtSymbol::Style SymbolBox::style | ( | int | index | ) |

static

References symbols.

Referenced by Graph::openBoxDiagram(), PlotCurve::restoreCurveLayout(), and Graph::updateCurveLayout().

int SymbolBox::symbolIndex | ( | const QwtSymbol::Style & | style | ) |

static

References symbols.

Referenced by PlotCurve::saveCurveLayout(), and Graph::saveCurveLayout().

## Member Data Documentation

const QwtSymbol::Style SymbolBox::symbols

static private

Initial value:
= {
QwtSymbol::NoSymbol,
QwtSymbol::Ellipse,
QwtSymbol::Rect,
QwtSymbol::Diamond,
QwtSymbol::Triangle,
QwtSymbol::DTriangle,
QwtSymbol::UTriangle,
QwtSymbol::LTriangle,
QwtSymbol::RTriangle,
QwtSymbol::Cross,
QwtSymbol::XCross,
QwtSymbol::HLine,
QwtSymbol::VLine,
QwtSymbol::Star1,
QwtSymbol::Star2,
QwtSymbol::Hexagon
}

Referenced by selectedSymbol(), setStyle(), style(), and symbolIndex().

The documentation for this class was generated from the following files:

- qtiplot/src/lib/include/SymbolBox.h
- qtiplot/src/lib/src/SymbolBox.cpp